'use client'
import { Button } from '@/components/ui/button'
import { useI18n } from '@/locales/client'

export default function ScrollToContactButton() {
  const t = useI18n()
  return (
    <Button
      className="mt-[56px] md:mt-6 justify-center w-full  md:w-fit"
      sizes="btn-md md:btn-lg"
      variant="primary"
      onClick={() => {
        const el = document.getElementById('contact')
        if (el) el.scrollIntoView({ behavior: 'smooth' })
      }}
    >
      {t('requestConsultation')}
    </Button>
  )
}
